Ana içeriğe atla

Endpoint

DELETE /apiops/projects/{projectName}/apiProxyGroups/{apiProxyGroupName}/deploy-histories/{revision}/

Authentication

Requires a Personal API Access Token.
Authorization: Bearer YOUR_TOKEN

Request

Headers

HeaderValueRequired
AuthorizationBearer Yes

Path Parameters

ParameterTypeRequiredDescription
projectNamestringYesProject name
apiProxyGroupNamestringYesAPI Proxy Group name
revisionintegerYesDeploy history revision number to delete

Query Parameters

None

Request Body

This endpoint does not require a request body.

Response

Success Response (200 OK)

{
  "status": "SUCCESS",
  "resultMessage": "Proxy Group deploy history record deleted successfully."
}

Response Fields

FieldTypeDescription
statusstringRequest status (SUCCESS or FAILURE)
resultMessagestringOperation result message

Error Response (401 Unauthorized)

{
  "error": "unauthorized_client",
  "error_description": "Invalid token"
}

cURL Example

curl -X DELETE \
  "https://demo.apinizer.com/apiops/projects/MyProject/apiProxyGroups/PaymentAPIGroup/deploy-histories/8/" \
  -H "Authorization: Bearer YOUR_TOKEN"

Notes and Warnings

  • Irreversible: Deleted deploy history records cannot be recovered.
  • Persistent Records: Both persistent and non-persistent records can be deleted via this endpoint.

Permissions

User must have API_MANAGEMENT + MANAGE permission in the project.